package com.agilex.vamf.missionhealth.datalayer;


import java.util.List;

import com.agilex.vamf.missionhealth.domain.DomainTransferObject;
import com.agilex.vamf.missionhealth.domain.DomainTransferObjectCollection;

public class Mapper {
	
    public static void add(List<Transformable<? extends DomainTransferObject>> queryResults, DomainTransferObjectCollection dtos) {
        if (queryResults == null)
            return;

        for (Transformable<? extends DomainTransferObject> result : queryResults) {
            dtos.add(result.create());
        }
    }
}
